Mail::Message::Body::Delayed(3pm)

NAME
Mail::Message::Body::Delayed - body of a Mail::Message but not read yet.

INHERITANCE
 Mail::Message::Body::Delayed realizes a Mail::Message::Body

 Mail::Message::Body::Delayed
   is a Mail::Reporter

 Mail::Message::Body::Delayed
   is a Mail::Reporter

SYNOPSIS
  See Mail::Message::Body

DESCRIPTION
Message bodies of this type will be replaced by another type the moment you access the content. In this documentation you will find the description of how a message body gets delay loaded.

Extends "DESCRIPTION" in Mail::Reporter.

OVERLOADED

overload: "" stringification
    Returns the body as string --which will trigger completion-- unless called to produce a string for "Carp". The latter to avoid deep recursions.

    » example: stringification of delayed body

      print $msg->body;   # implicit by print

      my $body = $msg->body;
      my $x    = "$body"; # explicit by interpolation

overload: @{} access as ARRAY
    When a body object is used as being an array reference, the lines of the body are returned. This is the same as using the "lines" method.

overload: bool existence
    Always returns a "true" value, which is needed to have overloaded objects to be used as in if($body). Otherwise, "if(defined $body)" would be needed to avoid a runtime error.

METHODS
Extends "METHODS" in Mail::Reporter.

  Constructors
Extends "Constructors" in Mail::Reporter.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

     -Option --Default
      message  <required>

    message => MESSAGE
        The MESSAGE object which contains this delayed body.

  Attributes
Extends "Attributes" in Mail::Reporter.

  Error handling
Extends "Error handling" in Mail::Reporter.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Reporter.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

  The body

$obj->message()

  About to the payload

$obj->guessSize()

$obj->isDelayed()

$obj->isModified()

$obj->isMultipart()

$obj->modified()

$obj->nrLines()

  Internals

$obj->fileLocation( [$begin, $end] )

$obj->load()
    Returns the loaded version of this body.

$obj->moveLocation($distance)

$obj->read($parser, $head, $bodytype)

DIAGNOSTICS

Error: a message must be specified to a delayed body.
    Cast by new()

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Box version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.